<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateForumChannelsUserFollowingTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        if(!Schema::hasTable('forum_channels_user_following')) {
            Schema::create('forum_channels_user_following', function (Blueprint $table) {
                $table->bigInteger('id', true);
                $table->bigInteger('forum_channels_id')->nullable();
                $table->bigInteger('user_id')->nullable();
                $table->timestamps();
                $table->softDeletes();
            });
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('forum_channels_user_following');
    }
}
