<div class="board-tool-section picture-tool-section" id="backgroundsPannel"
     style="display: none"
>
    <div class="board-tool-wrapper">
        <button class="main-tool board-tool-btn" onclick="showMenus('backgroundsPannel')">
            <svg class="left-tool-close" xmlns="http://www.w3.org/2000/svg"
                 viewBox="0 0 129.94 129.94">
                <g data-name="Layer 2">
                    <g data-name="Layer 1">
                        <path
                            d="M112.06,0H0V112.06a17.88,17.88,0,0,0,17.88,17.88h94.18a17.87,17.87,0,0,0,17.88-17.88V17.88A17.88,17.88,0,0,0,112.06,0Zm12.88,112.06a12.9,12.9,0,0,1-12.88,12.88H17.88A12.9,12.9,0,0,1,5,112.06V5H112.06a12.9,12.9,0,0,1,12.88,12.88ZM102,40,77,65l25,25a8.5,8.5,0,1,1-12,12L65,77,40,102a8.5,8.5,0,1,1-12-12L53,65l-25-25a8.5,8.5,0,1,1,12-12L65,53l25-25a8.5,8.5,0,1,1,12,12Z"></path>
                    </g>
                </g>
            </svg>
            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 114 114">
                <defs/>
                <g data-name="Layer 2">
                    <g data-name="Layer 1">
                        <path fill="none" d="M105 10a24 24 0 01-21 24 22 22 0 010 3 21 21 0 0121 16H14a13 13 0 0111-8h1a13 13 0 0115-8 22 22 0 0117-21 24 24 0 011-13H3v71c6-6 14-12 25-14 9-1 18 0 38 8l7 3a350 350 0 0138 19v-5a356 356 0 00-33-16 44 44 0 0122-4 42 42 0 0111 3V3h-7a24 24 0 011 7z"/>
                        <path d="M100 0a21 21 0 01-16 31 21 21 0 01-2 0A21 21 0 0163 0H0v114h114V0zm11 68a42 42 0 00-11-3 44 44 0 00-22 4 356 356 0 0133 16v5a350 350 0 00-38-19l-7-3c-20-8-29-9-38-8-11 2-19 8-25 14V3h56a24 24 0 00-1 13 22 22 0 00-17 21 13 13 0 00-15 8h-1a13 13 0 00-11 8h91a21 21 0 00-21-16 22 22 0 000-3 24 24 0 0020-31h7z"/>
                    </g>
                </g>
            </svg>
        </button>
        {{--        <div class="p-2">--}}
        <div class="d-flex flex-column">
            <div class="p-2 ">
                <h5 class="save-heading">Background</h5>
            </div>
            <div class="">
                <h6 class="save-heading">Background colour</h6>
            </div>
            <div class="flex-fill" style="border-bottom: 1px solid grey">

                <div class="align-self-center">
                    <div id="background_colour" class="input-group bigcolour" style="width: 120px">
                        <input class="spectrum-color-picker" id="update_background_colour" value='#276cb8' />
                        {{--                            <input type="text" class="form-control lab_bg_color" value="invalid color"/>--}}
                        {{--                            --}}
                        {{--                            <span class="input-group-append" style="height: 23px">--}}
                        {{--    <span class="input-group-text colorpicker-input-addon"><i></i></span>--}}
                        {{--  </span>--}}
                    </div>


                </div>
            </div>



            <div class="p-2" >
                <div class="">
                    <h6 class="save-heading">Background image</h6>
                </div>
                <div class="d-flex w-100">
                    <button type="button" class="ml-auto" onclick="removeBackgroundImg()">Remove</button>
                </div>
                <div class="customize_background_preview no-custom-data" style="height: 150px; width: 200px">

                    <form action="{{route('frontend.board.fakestoreuserbackground')}}"
                          class="dropzone needsclick dz-clickable"
                          id="background_image_dropzone">

                        <div id="dropzone">
                            <img src="{{asset('img/frontend/backgrounds/bg-cover.png')}}" alt=""
                                 id="header_image" class="image_uploader" alt="">
                            <input type="file" name="background_image" style="display: none;"
                                   class="image_uploader_file" data-type="header"/>
                            <span class="delete_option" data-type="header" data-field="image"><svg
                                    xmlns="http://www.w3.org/2000/svg" viewBox="0 0 129.94 129.94"><g
                                        data-name="Layer 2"><g
                                            data-name="Layer 1"><path
                                                d="M112.06,0H0V112.06a17.88,17.88,0,0,0,17.88,17.88h94.18a17.87,17.87,0,0,0,17.88-17.88V17.88A17.88,17.88,0,0,0,112.06,0Zm12.88,112.06a12.9,12.9,0,0,1-12.88,12.88H17.88A12.9,12.9,0,0,1,5,112.06V5H112.06a12.9,12.9,0,0,1,12.88,12.88ZM102,40,77,65l25,25a8.5,8.5,0,1,1-12,12L65,77,40,102a8.5,8.5,0,1,1-12-12L53,65l-25-25a8.5,8.5,0,1,1,12-12L65,53l25-25a8.5,8.5,0,1,1,12,12Z"/></g></g></svg></span>
                            <input type="hidden" name="background_image_remove" style="display: none;"
                                   id="background_image_remove" value="0"/>
                        </div>
                        <div class="dz-message" data-dz-message>
                            <div class="profile_overlay">
                                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 104.55 96.06">
                                    <g data-name="Layer 2">
                                        <g data-name="Layer 1">
                                            <path
                                                d="M52.27,36.82A16.92,16.92,0,1,0,69.19,53.74,16.94,16.94,0,0,0,52.27,36.82Z"/>
                                            <path
                                                d="M91.16,13.88H77L74,4c-.66-2.18-2.77-4-4.69-4H35.21c-1.91,0-4,1.79-4.68,4l-3,9.91h-3.1V5.2H15.48v8.68h-2.1A13.38,13.38,0,0,0,0,27.27V82.68A13.38,13.38,0,0,0,13.38,96.06H91.16a13.38,13.38,0,0,0,13.39-13.38V27.27A13.38,13.38,0,0,0,91.16,13.88ZM36.36,5.2H45.3v8.93H36.36ZM52.27,79.09A25.35,25.35,0,1,1,77.62,53.74,25.38,25.38,0,0,1,52.27,79.09Z"/>
                                        </g>
                                    </g>
                                </svg>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <div class="p-2 d-flex" id="background_opacity_controller_container">
{{--                <div class="flex-fill">--}}
{{--                    <select id="background_fill_type" onchange="updateBackgroundType()" class="lab_bg_image custom_background_fill_type">--}}
{{--                        <option value="fill">--}}
{{--                            Fill--}}
{{--                        </option>--}}
{{--                        <option value="stretch">--}}
{{--                            Stretch--}}
{{--                        </option>--}}
{{--                        <option value="tile" selected="&quot;selected&quot;">--}}
{{--                            Tile--}}
{{--                        </option>--}}
{{--                    </select>--}}
{{--                </div>--}}


            </div>
            <div class="p-2 d-flex flex-column" id="background_opacity_controller_container">

                <div class="">
                    <h6 class="save-heading">Background image Opacity</h6></div>
                <div class=" w-100">
                    <div class="board-tool-opacity-section w-100 d-flex">
                        <div class="opacity flex-grow-1 d-flex">
                            <input id="backgroundOpacityRange" class="range-slider_range flex-grow-1" type="range"
                                   value="20"
                                   min="0"
                                   step="25" max="100"
                                   style="width: initial">
                            <span id="background_opacity_number" class="range-slider_vaue">50%</span>
                        </div>
                    </div>
                </div>


            </div>
{{--            <div class="p-2 d-flex flex-column">--}}
{{--                <div class="">--}}
{{--                    <h6 class="save-heading">Patterns</h6>--}}
{{--                </div>--}}
{{--                <ul class="graphic-images full-height-section" id="userBackgroundImages">--}}
{{--                    @foreach ($public_backgrounds as $public_background)--}}

{{--                        <li class="userBackgroundImage" data-id="{{$public_background->id}}"><img--}}
{{--                                src="{{route('frontend.board.displayuserbackgroundthumb', $public_background->id)}}"--}}
{{--                                alt=""></li>--}}
{{--                    @endforeach--}}

{{--                </ul>--}}
{{--            </div>--}}
        </div>
    </div>


</div>
{{--    </div>--}}
{{--</div>--}}
