<div class="board-tool-section shapes-tool-section" id="shapesPannel"
     style="display: none"
>
    <div class="p-2 ">
        <h5 class="save-heading">Draw a shape</h5>
    </div>
    <div style="position: relative">
        <button class="main-tool board-tool-btn" onclick="showMenus('shapesPannel')">
            <svg class="left-tool-close" xmlns="http://www.w3.org/2000/svg"
                 viewBox="0 0 129.94 129.94">
                <g data-name="Layer 2">
                    <g data-name="Layer 1">
                        <path
                            d="M112.06,0H0V112.06a17.88,17.88,0,0,0,17.88,17.88h94.18a17.87,17.87,0,0,0,17.88-17.88V17.88A17.88,17.88,0,0,0,112.06,0Zm12.88,112.06a12.9,12.9,0,0,1-12.88,12.88H17.88A12.9,12.9,0,0,1,5,112.06V5H112.06a12.9,12.9,0,0,1,12.88,12.88ZM102,40,77,65l25,25a8.5,8.5,0,1,1-12,12L65,77,40,102a8.5,8.5,0,1,1-12-12L53,65l-25-25a8.5,8.5,0,1,1,12-12L65,53l25-25a8.5,8.5,0,1,1,12,12Z"></path>
                    </g>
                </g>
            </svg>
            <svg class="left-tool-button" xmlns="http://www.w3.org/2000/svg"
                 viewBox="0 0 139.74 126.99">
                <g data-name="Layer 2">
                    <g data-name="Layer 1">
                        <path
                            d="M139.74,80a47,47,0,0,1-93.23,8.54h60.34L76.47,35.89A46.9,46.9,0,0,1,139.74,80Zm-93-80L0,80.94H93.46Z"/>
                    </g>
                </g>
            </svg>
        </button>
        <ul class="graphic-images shapes-lists" id="shapesList">


            <li class="polygon_preview_div shape-button" data-sides="3" data-name="Triangle"
                data-description="A 3 sided polygon with editable points. Click and drag to draw, Double click to edit" onclick="enablePolygon(this)">
                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 200 200">
                    <defs/>
                    <path fill="none" stroke="#000" stroke-width="2.5" d="M183 172H17l83-144z"/>
                </svg>
            </li>
            <li class="polygon_preview_div shape-button"  data-sides="4" data-name="Square"
                data-description="A 4 sided polygon with editable points. Click and drag to draw, Double click to edit" onclick="enablePolygon(this)">
                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 200 200">
                    <defs/>
                    <path fill="none" stroke="#000" stroke-width="2.5" d="M168 168H32V32h136z"/>
                </svg>
            </li>
            <li class="polygon_preview_div shape-button" data-sides="5" data-name="Pentagon"
                data-description="A 5 sided polygon with editable points. Click and drag to draw, Double click to edit" onclick="enablePolygon(this)">
                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 200 200">
                    <defs/>
                    <path fill="none" stroke="#000" stroke-width="2.5"
                          d="M156 187H44L9 80l91-67 91 67z"/>
                </svg>
            </li>
            <li class="polygon_preview_div shape-button" data-name="Pentagon" data-sides="6"
                data-description="A 6 sided polygon with editable points. Click and drag to draw, Double click to edit" onclick="enablePolygon(this)">
                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 200 200">
                    <defs/>
                    <path fill="none" stroke="#000" stroke-width="2.5"
                          d="M148 183H52L4 100l48-83h96l48 83z"/>
                </svg>
            </li>
            <li class="polygon_preview_div shape-button" data-sides="7" data-name="Heptagon"
                data-description="A 7 sided polygon with editable points. Click and drag to draw, Double click to edit" onclick="enablePolygon(this)">
                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 200 200">
                    <defs/>
                    <path fill="none" stroke="#000" stroke-width="2.5"
                          d="M142 191H58L6 126l19-81 75-36 75 36 19 81z"/>
                </svg>
            </li>
            <li class="polygon_preview_div shape-button" data-sides="8" data-name="Octagon"
                data-description="An 8 sided polygon with editable points. Click and drag to draw, Double click to edit" onclick="enablePolygon(this)">
                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 200 200">
                    <defs/>
                    <path fill="none" stroke="#000" stroke-width="2.5"
                          d="M137 189H63l-52-52V63l52-52h74l52 52v74z"/>
                </svg>
            </li>
            <li class="polygon_preview_div shape-button" data-sides="9" data-name="Nonagon"
                data-description="A 9 sided polygon with editable points. Click and drag to draw, Double click to edit" onclick="enablePolygon(this)">
                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 200 200">
                    <defs/>
                    <path fill="none" stroke="#000" stroke-width="2.5"
                          d="M133 193H67l-50-42L5 86l33-57 62-22 62 22 33 57-12 65z"/>
                </svg>
            </li>
            <li class="polygon_preview_div shape-button" data-sides="10" data-name="Dodecahedron"
                data-description="A 10 sided polygon with editable points" onclick="enablePolygon(this)">
                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 200 200">
                    <defs/>
                    <path fill="none" stroke="#000" stroke-width="2.5"
                          d="M125 193H75l-43-25-25-43V75l25-43L75 7h50l43 25 25 43v50l-25 43z"/>
                </svg>
            </li>
                    <li  data-name="Ellipse" class="shape-button polygon_preview_div"
                         data-description="An ellipse. Hold 'Shift' key to make a circle"
                         onclick="enableEllipse(this)" >
                        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 100 100">
                            <defs/>
                            <ellipse cx="50" cy="50" rx="49" ry="25" fill="none"
                                     style="stroke:black;stroke-width:1; " />
                        </svg>
                    </li>
        </ul>
    </div>
    <div class="p-2 ">
        <h5 class="save-heading">Draw a line</h5>
    </div>
    <ul class="graphic-images shapes-lists" >
        <li  data-name="Line" class="polygon_preview_div shape-button" id="line_button"
            data-description="A simple straight line. Click and drag to draw, Double click to edit and add nodes. Hold down 'Shift' key to lock horizontal or vertical"
        onclick="enableLine(this)" >

            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 1000 1000">
                <defs/>
                <path d="M520 520h450a20 20 0 000-40H30a20 20 0 000 40h490z"/>
            </svg>
        </li>
        <li data-name="Arrow" class="polygon_preview_div shape-button" id="arrow_button"
             data-description="An arrow. Click and drag to draw, Double click to edit and add nodes. Hold down 'Shift' key to lock horizontal or vertical"
             onclick="enableArrow(this)" >
            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 1000 1000">
                <defs/>
                <path
                    d="m 494.52547,520 h 427.52248 a 19.000999,20 0 0 0 0,-40 H 29.000999 a 19.000999,20 0 0 0 0,40 z"


                    style="stroke-width:0.97470504" />
                <path
                    d="M 995.0217,500.84382 860.88188,566.57664 V 435.111 Z"


                    style="stroke-width:0.71322918" />
            </svg>

        </li>

    </ul>
</div>
