{!! Form::open( ['id'=>'newrequestform'])!!}
<div class="form-group row">

    <div class="col-sm-12">
        {{ html()->label('Custom graphic name')->for('name') }}
        {{--        <label for="title">Title</label>--}}
    </div>
    <div class="col-sm-12">
        {{ html()->text('name')
       ->class('form-control')
       ->placeholder('Custom graphic name')
       ->attribute('maxlength', 191)
       ->required()}}
        {{--        <input type="text" name="title" class="form-control" style="width: 100%" placeholder="Title"></input>--}}
    </div>
</div>
<div class="form-group row">
    <div class="col-sm-12">
        {{ html()->label('Description')->for('description') }}
        {{--        <label for="title">Body</label>--}}
    </div>
    <div class="col-sm-12">
        {{ html()->textarea('description')
     ->class('form-control')
     ->id('new_request_textarea')
     ->style('width: 100%')
     ->placeholder('Description of custom graphic')}}
        {{--        <textarea name="body" class="form-control" id="new_thread_textarea" style="width: 100%" placeholder="Body"></textarea>--}}
    </div>
</div>
<div class="form-group row">
    <div class="col-sm-12">
        {{ html()->label('Tags')->for('tags[]') }}
    </div>
    <div class="col-sm-12">

        {{ html()->multiselect('tags[]', $tags->pluck('text', 'id'))
                            ->class('form-control')
                            ->style('width: 100%"')

                            }}
    </div>
</div>
<div class="form-group row">
    <div class="col-sm-12">
        {{ html()->label('Example image(s) (JPG, PNG, BMP only, max of 3)')->for('') }}
    </div>
    <div class="col-sm-12">
        <div class="no-custom-data dropzone needsclick dz-clickable" id="user_image">
{{--            <form action="{{route('frontend.board.fakestoreuserbackground')}}"--}}
{{--                  class="dropzone needsclick dz-clickable"--}}
{{--                  id="user_image_dropzone">--}}
                <div id="dropzone">
                    <img src="{{asset('img/frontend/backgrounds/bg-cover.png')}}" alt=""
                         id="header_image" class="image_uploader" alt="">
                    <input type="file" name="background_image" style="display: none;"
                           class="image_uploader_file" data-type="header"/>
                    <span class="delete_option" data-type="header" data-field="image"><svg
                            xmlns="http://www.w3.org/2000/svg" viewBox="0 0 129.94 129.94"><g
                                data-name="Layer 2"><g
                                    data-name="Layer 1"><path
                                        d="M112.06,0H0V112.06a17.88,17.88,0,0,0,17.88,17.88h94.18a17.87,17.87,0,0,0,17.88-17.88V17.88A17.88,17.88,0,0,0,112.06,0Zm12.88,112.06a12.9,12.9,0,0,1-12.88,12.88H17.88A12.9,12.9,0,0,1,5,112.06V5H112.06a12.9,12.9,0,0,1,12.88,12.88ZM102,40,77,65l25,25a8.5,8.5,0,1,1-12,12L65,77,40,102a8.5,8.5,0,1,1-12-12L53,65l-25-25a8.5,8.5,0,1,1,12-12L65,53l25-25a8.5,8.5,0,1,1,12,12Z"/></g></g></svg></span>
                    <input type="hidden" name="background_image_remove" style="display: none;"
                           id="background_image_remove" value="0"/>
                </div>
                <div class="dz-message" data-dz-message>
                    <div class="profile_overlay">
                        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 104.55 96.06">
                            <g data-name="Layer 2">
                                <g data-name="Layer 1">
                                    <path
                                        d="M52.27,36.82A16.92,16.92,0,1,0,69.19,53.74,16.94,16.94,0,0,0,52.27,36.82Z"/>
                                    <path
                                        d="M91.16,13.88H77L74,4c-.66-2.18-2.77-4-4.69-4H35.21c-1.91,0-4,1.79-4.68,4l-3,9.91h-3.1V5.2H15.48v8.68h-2.1A13.38,13.38,0,0,0,0,27.27V82.68A13.38,13.38,0,0,0,13.38,96.06H91.16a13.38,13.38,0,0,0,13.39-13.38V27.27A13.38,13.38,0,0,0,91.16,13.88ZM36.36,5.2H45.3v8.93H36.36ZM52.27,79.09A25.35,25.35,0,1,1,77.62,53.74,25.38,25.38,0,0,1,52.27,79.09Z"/>
                                </g>
                            </g>
                        </svg>
                    </div>
                </div>
{{--            </form>--}}
        </div>
    </div>
</div>
<div class="form-group">
    {!! Form::button('<i class="far fa-save" aria-hidden="true"></i> '.$submitButtonText, ['type' => 'submit', 'class'=>'btn btn-success btn-block']) !!}
</div>
