<?php
use App\Http\Controllers\Frontend\Lab\LabController;
use App\Http\Controllers\Frontend\Forum\ForumChannelController;

Route::group(['middleware' => ['auth', 'password_expires']], function (){
    Route::get('lab/{id}', [LabController::class, 'index'])->name('lab.index');
    Route::get('lab/{id}/forum', [\App\Http\Controllers\Frontend\Forum\ForumChannelController::class, 'labindex'])->name('lab.forum');
    Route::get('lab/{id}/forum/threads/{threadid}', [\App\Http\Controllers\Frontend\Forum\ForumThreadController::class, 'labshow'])->name('lab.forum.thread');
    Route::get('lab/{id}', [LabController::class, 'index'])->name('lab.index');
    Route::get('searchlabforselect2', [LabController::class, 'searchforselect2']);
    Route::post('lab/{id}', [LabController::class, 'update'])->name('lab.update');
});
