<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class ForumReply extends Model
{

    use SoftDeletes;

    protected $table = 'forum_replies';

    protected $fillable = [
        'thread_id',
        'user_id',
        'body'
    ];
    public function user()
    {
        return $this->hasOne('App\Models\Auth\User', 'id', 'user_id');
    }

    public function thread()
    {
        return $this->hasOne('\App\Models\ForumThread', 'id', 'thread_id');
    }
}
