<?php

namespace App\Models\Lookups;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Institution_lookup extends Model
{
    use SoftDeletes;

    /**
     * Don't auto-apply mass assignment protection.
     *
     * @var array
     */
    protected $guarded = [];

    protected $fillable = [
        'text'
    ];

    // I like to explicitly define tables
    protected $table = 'institution_lookup';
}
