<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateClipartTagsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        if(!Schema::hasTable('clipart_tags')) {
            Schema::create('clipart_tags', function (Blueprint $table) {
                $table->bigInteger('id', true);
                $table->bigInteger('clipart_id')->nullable();
                $table->bigInteger('tag_id')->nullable();
            });
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('clipart_tags');
    }
}
