<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class UpdateUserForBeta extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('users', function (Blueprint $table) {
            if (!Schema::hasColumn('users', 'beta_lab_data')) {
                $table->text('beta_lab_data')->nullable();

            }  if (!Schema::hasColumn('users', 'is_beta_user')) {
                $table->integer('is_beta_user')->nullable();
            }
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('forum_channels', function (Blueprint $table) {
            $table->dropColumn('beta_lab_data');
            $table->dropColumn('is_beta_user');
        });
    }
}
