<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class UpdatePositionLookupTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('position_lookup', function (Blueprint $table) {
            if (!Schema::hasColumn('position_lookup', 'validated')) {
                $table->integer('validated')->nullable();
            }
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('position_lookup', function (Blueprint $table) {
            $table->dropColumn('validated');
        });
    }
}
