<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CustomGraphicsRequestTags extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        if(!Schema::hasTable('custom_graphics_request_tags')) {
            Schema::create('custom_graphics_request_tags', function (Blueprint $table) {
                $table->bigInteger('id', true);
                $table->bigInteger('custom_graphics_request_id')->nullable();
                $table->bigInteger('tag_id')->nullable();
            });
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('custom_graphics_request_tags');
    }
}
