<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class MakeBoardBoardTemplateTypeTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        if(!Schema::hasTable('board_board_template_types')) {
            Schema::create('board_board_template_types', function (Blueprint $table) {
                $table->bigInteger('id', true);
                $table->bigInteger('board_id')->nullable();
                $table->bigInteger('board_template_types_id')->nullable();
            });
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('board_board_template_types');
    }
}
