@if (config('services.bitbucket.active'))
    <div class="row ">
        <div class="col">
            <a href='{{ route('frontend.auth.social.login', 'bitbucket') }}' class='btn btn-outline-info btn-block m-1'><i
                    class='fab fa-bitbucket'></i> @lang('labels.frontend.auth.login_with', ['social_media' => 'BitBucket'])
            </a>
        </div>
    </div>
@endif

@if (config('services.facebook.active'))
    <div class="row ">
        <div class="col">
            <a href='{{ route('frontend.auth.social.login', 'facebook') }}'
               class='btn btn-outline-info btn-block m-1'><i
                    class='fab fa-facebook'></i> @lang('labels.frontend.auth.login_with', ['social_media' => 'Facebook'])
            </a>
        </div>
    </div>
@endif

@if (config('services.google.active'))
    <div class="row ">
        <div class="col">
            <a href='{{ route('frontend.auth.social.login', 'google') }}' class='btn btn-outline-info btn-block m-1'><i
                    class='fab fa-google'></i> @lang('labels.frontend.auth.login_with', ['social_media' => 'Google'])
            </a>
        </div>
    </div>
@endif

@if (config('services.github.active'))
    <div class="row ">
        <div class="col">
            <a href='{{ route('frontend.auth.social.login', 'github') }}' class='btn  btn-outline-info btn-block'><i
                    class='fab fa-github'></i> @lang('labels.frontend.auth.login_with', ['social_media' => 'Github'])
            </a>
        </div>
    </div>
@endif

@if (config('services.linkedin.active'))
    <div class="row ">
        <div class="col">
            <a href='{{ route('frontend.auth.social.login', 'linkedin') }}'
               class='btn btn-outline-info btn-block'><i
                    class='fab fa-linkedin'></i> @lang('labels.frontend.auth.login_with', ['social_media' => 'LinkedIn'])
            </a>
        </div>
    </div>
@endif

@if (config('services.twitter.active'))
    <div class="row ">
        <div class="col">
            <a href='{{ route('frontend.auth.social.login', 'twitter') }}'
               class='btn  btn-outline-info btn-block'><i
                    class='fab fa-twitter'></i> @lang('labels.frontend.auth.login_with', ['social_media' => 'Twitter'])
            </a>
        </div>
    </div>
@endif
